Name:		neverball
Summary:	NeverBall arcade game
Version:	0.25.6
Release:	1mdk
Url:		http://aoeu.snth.net/neverball/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Patch0:		neverball_X11_path.patch.bz2
Group:		Games/Arcade
License:	GPL
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	libMesaGLU-devel

%description
Tilt the floor to roll the ball through the obstacle course
before time runs out.
Neverball runs under Linux, Win2K/XP, IRIX
and hopefully everywhere else SDL is supported.
Hardware accellerated OpenGL support with multitexture
(OpenGL 1.2.1 or greater) is required.

%prep
%setup -q
%patch

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/
cp -a %{name} $RPM_BUILD_ROOT%{_libdir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/data/
cp -a data/{levels.txt,back,mtrl,png,shot,snd,sol,ttf} $RPM_BUILD_ROOT%{_datadir}/%{name}/data/

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
%{_libdir}/%{name}
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): command="%{name}" icon="%{name}.png" section="Amusement/Arcade" title="Neverball" longtitle="Tilt the floor to roll the ball" needs="x11"
EOF

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGES COPYING MAPPING README
# do not package TODO to make rpmlint happy (zero size)
%{_bindir}/%{name}
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.6-1mdk
- new version

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.4-1mdk
- new version

* Mon Sep 1 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.3-1mdk
- Release 0.25.3

* Mon Sep 1 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.1-2mdk
- fix changelog and try to upload it
  (thanks to Charles A Edwards, Gtz Waschk and warly)

* Sat Aug 30 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.1-1mdk
- Release 0.25.1
- Drop patch1 (merged upstream)

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.0-2mdk
- fix buildrequires
- add an epoch

* Thu Aug 28 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.0-1mdk
- Release 0.25.0
- Added patch for Radeon cards (patch1)

* Thu Aug 21 2003 Olivier Blin <oliv.blin@laposte.net> 0.21.0-1mdk
- Release 0.21.0
- Regenerate patch0

* Fri Aug 15 2003 Olivier Blin <oliv.blin@laposte.net> 0805a-2mdk
- Added homemade icon
- Added menu entry

* Wed Aug 13 2003 Olivier Blin <oliv.blin@laposte.net> 0805a-1mdk
- Initial release for Mandrake
- Patch to fix wrong X11 library dir
